Subject: Re: Git clone gives zero file permissions

From: Johannes Sixt <[email-masked]>
Date: Thu, 24 Apr 2014 12:18:49 +0200

Am 4/24/2014 10:24, schrieb Jussi Peltonen:
> I installed git to my Windows 7 workstation and cloned
> "http://git.ipxe.org/ipxe.git" by using the Git GUI.
> 
> ipxe-23042014/src tree looks like this in Cygwin bash:
> 
> Files have no permissions, same goes with subfolders, e.g.
> 
> $ ls -l config/
> total 47
> ----------+ 1 peltoju Domain Users  699 Apr 23 09:00 colour.h
> ...

If that's the only problem, then I'd say: don't use Cygwin's ls to look at
these files ;-)

So, really, what is the problem? You are using:

> git-gui version 0.19.GITGUI
> git version 1.9.0.msysgit.0

This doesn't look like Cygwin's git. That there are some discrepancies in
the result produced by Git for Windows is not surprising (but I'm not
saying "is expected").

-- Hannes